org.apache.cassandra.locator

## Class GossipingPropertyFileSnitch

- java.lang.Object
- - org.apache.cassandra.locator.AbstractEndpointSnitch
  - - org.apache.cassandra.locator.AbstractNetworkTopologySnitch
    - - org.apache.cassandra.locator.GossipingPropertyFileSnitch

All Implemented Interfaces:
  IEndpointSnitch

    public class GossipingPropertyFileSnitch
    extends AbstractNetworkTopologySnitch

### Constructor Summary

Constructors
Constructor and Description
`GossipingPropertyFileSnitch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDatacenter(java.net.InetAddress endpoint)` Return the data center for which an endpoint resides in
`java.lang.String` `getRack(java.net.InetAddress endpoint)` Return the rack for which an endpoint resides in
`void` `gossiperStarting()` called after Gossiper instance exists immediately before it starts gossiping

### Methods inherited from class org.apache.cassandra.locator.AbstractNetworkTopologySnitch

`compareEndpoints`

### Methods inherited from class org.apache.cassandra.locator.AbstractEndpointSnitch

`getSortedListByProximity, isWorthMergingForRangeQuery, sortByProximity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GossipingPropertyFileSnitch

    public GossipingPropertyFileSnitch()
                                throws ConfigurationException

Throws:
  `ConfigurationException`

### Method Detail

#### getDatacenter

    public java.lang.String getDatacenter(java.net.InetAddress endpoint)

Return the data center for which an endpoint resides in

Specified by:
  `getDatacenter` in interface `IEndpointSnitch`
Specified by:
  `getDatacenter` in class `AbstractNetworkTopologySnitch`
Parameters:
  `endpoint` - the endpoint to process
Returns:
  string of data center

#### getRack

    public java.lang.String getRack(java.net.InetAddress endpoint)

Return the rack for which an endpoint resides in

Specified by:
  `getRack` in interface `IEndpointSnitch`
Specified by:
  `getRack` in class `AbstractNetworkTopologySnitch`
Parameters:
  `endpoint` - the endpoint to process
Returns:
  string of rack

#### gossiperStarting

    public void gossiperStarting()

Description copied from interface: `IEndpointSnitch`
called after Gossiper instance exists immediately before it starts gossiping

Specified by:
  `gossiperStarting` in interface `IEndpointSnitch`
Overrides:
  `gossiperStarting` in class `AbstractEndpointSnitch`